Skip to main content
POST
/
v1
/
catalogs
/
{catalog_id}
/
entities
/
bulk_upsert
Bulk upsert Catalog Entities
curl --request POST \
  --url https://api.rootly.com/v1/catalogs/{catalog_id}/entities/bulk_upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "entities": [
    {
      "external_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "backstage_id": "<string>",
      "fields": [
        {
          "value": "<string>",
          "catalog_field_id": "<string>",
          "catalog_property_id": "<string>"
        }
      ]
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "type": "catalog_entities",
      "attributes": {
        "name": "<string>",
        "position": 123,
        "created_at": "<string>",
        "updated_at": "<string>",
        "description": "<string>",
        "backstage_id": "<string>",
        "external_id": "<string>",
        "properties": [
          {
            "catalog_property_id": "<string>",
            "value": "<string>"
          }
        ]
      }
    }
  ],
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

catalog_id
string
required

Body

application/vnd.api+json
entities
object[]
required

Array of catalog entities to upsert. Each must have an external_id. Max 100 per request. external_ids must be unique within a batch.

Response

entities upserted successfully

data
object[]
included
object[]